function filenameChange(rmInfo,Est_filename,gapseq,Mtraj)
% Change the file names; 

% previous: EstimatorRK4Gap1to200_M1000200_useNoise1YnOFF.mat
% now:      EstimatorRK4Gap1to200_useNoise1YnOFF_M1000.mat
% % the change is: rmInfo.nameStrFn = @(n)[rmInfo.nameStrFn(n), sprintf('_M%i',Mtraj)];   % add _M# to all the file names   
rm_stringNew     = rmInfo.nameStrFn(gapseq(end));       % >>>  EstimatorRK4Gap200_useNoise1YnOFF_M1000
rm_stringOld     = strrep(rm_stringNew,sprintf('_M%i',Mtraj), ''); 
gapStr_old       = strrep(rm_stringOld,'Gap',sprintf('Gap%ito%i_M%i',gapseq(1),gapseq(end),Mtraj));

if rmInfo.lse_entrywise == 1
    filename_old = [rmInfo.rm_path, 'Estimator',gapStr_old,'_lseEntrywise.mat'];
else
    filename_old = [rmInfo.rm_path, 'Estimator',gapStr_old,'.mat'];
end
if exist(filename_old,'file')
    fprintf('\n Change your M1000 estimator file name to the new name in Est_filename! \n')
    fprintf('If you want to do it manually, stop here; otherwise "Enter".\n')
    keyboard; 
    
    filename2 = Est_filename;
    movefile(filename_old,filename2);
end


% end