function LSE_analyze(LSE_Abres,saveON,figname0,figpath)
% analyze LSE


Amat   = LSE_Abres.Amat;    cvec   = LSE_Abres.cvec;            
figure;  
h1    = subplot(3,2,[1,2]);  plot(cvec,'*'); hold on;    % plot the coefficients
min2max = max(cvec)- min(cvec);  
axis([0.5,length(cvec)+0.5,min(cvec)-0.1*min2max,max(cvec)+0.1*min2max]); 
titl = sprintf('Parameter cj, residaul std =%2.5f', sqrt(LSE_Abres.res));
title(titl);  yscale_symlog(h1);   set(h1,{'LineWidth'},{1}) % xlabel('parameterIndex')

Asvd  = svd(Amat);    
h2 = subplot(3,2,[3,4]);  plot(Asvd,'*-.'); hold on     % plot the eigenvalues of Amat
titl = 'Eigenvalues';
title(titl);   yscale_symlog(h2); set(h2,{'LineWidth'},{1})   

 set_positionFonts;
if saveON==1;  print([figpath,figname0,'Eigen.eps'],'-depsc');  end 

end