
function init = getInitial(d,M,distr)
% generate samples from initial disribution
switch distr
    case 'Gaussian'; init = randn(d,M);
    case 'Unif';     init = rand(d,M); 
    case 'fixed';    init = 1/2*ones(d,M);
    case 'fixed2D';  init = 1/2*ones(d,M); init(d,M)=1;
    case 'fixedMD';  init = (1:d)'.*ones(d,M); init(1,M)=init(1,M)-1/2; init(d,M)=init(d,M)+1/2;
end
end
